petsc-3.7.7 2017-09-25
Report Typos and Errors

# PetscTextBelt

Sends an SMS to an American/Canadian phone number

### Synopsis

    PetscErrorCode PetscTextBelt(MPI_Comm comm,const char number[],const char message[],PetscBool *flg)

Not collective, only the first process in MPI_Comm does anything

### Input Parameters

| comm | - the MPI communicator
| number | - the 10 digit telephone number
| message | - the message

### Output Parameter

flg -PETSC_TRUE if the text was sent

Notes: TextBelt is run for testing purposes only, please do not use this feature often

Developer Notes: I do not know how to make the buff[] long enough to receive the "success" string but short enough that the code does not hang waiting for part of the message to arrive that does not exist, hence the success flg may be improperly set to false even though the message was delivered.

### See Also

PetscOpenSocket(), PetscHTTPRequest()

Level:intermediate
Location:src/sys/webclient/textbelt.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages